# diskspaceInfo Struct Reference

## Data Fields

dev_t | dev
signed long | bneeded
signed long | ineeded
int | bsize
signed long | bavail
signed long | iavail

## Detailed Description

Definition at line 52 of file transaction.c.

## Field Documentation

signed long diskspaceInfo::bavail

no. of blocks available.

Definition at line 57 of file transaction.c.

Referenced by rpmRunTransactions().

signed long diskspaceInfo::bneeded

no. of blocks needed.

Definition at line 54 of file transaction.c.

Referenced by rpmRunTransactions().

int diskspaceInfo::bsize

file system block size.

Definition at line 56 of file transaction.c.

Referenced by handleOverlappedFiles(), and rpmRunTransactions().

dev_t diskspaceInfo::dev

file system device number.

Definition at line 53 of file transaction.c.

Referenced by handleOverlappedFiles(), and rpmRunTransactions().

signed long diskspaceInfo::iavail

no. of inodes available.

Definition at line 58 of file transaction.c.

Referenced by rpmRunTransactions().

signed long diskspaceInfo::ineeded

no. of inodes needed.

Definition at line 55 of file transaction.c.

Referenced by rpmRunTransactions().

The documentation for this struct was generated from the following file:

- lib/transaction.c